JUCE: juce::midi_ci::PropertyDelegate Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::PropertyDelegate Struct Referenceabstract
juce_midi_ci » ci

An interface with methods that can be overridden to customise how a Device implementing properties responds to property inquiries. More...

`#include <juce_CIPropertyDelegate.h>`

## Public Member Functions
| PropertyDelegate ()=default
virtual | ~PropertyDelegate ()=default
| PropertyDelegate (const PropertyDelegate &)=default
| PropertyDelegate (PropertyDelegate &&)=default
PropertyDelegate & | operator= (const PropertyDelegate &)=default
PropertyDelegate & | operator= (PropertyDelegate &&)=default
virtual uint8_t | getNumSimultaneousRequestsSupported () const
| Returns the max number of simultaneous property exchange messages that can be processed.
virtual PropertyReplyData | propertyGetDataRequested (MUID, const PropertyRequestHeader &)=0
| Returns a header/body containing the requested data.
virtual PropertyReplyHeader | propertySetDataRequested (MUID, const PropertyRequestData &)=0
| Returns a header that describes the result of the set operation.
virtual bool | subscriptionStartRequested (MUID, const PropertySubscriptionHeader &)=0
| Returns true to allow the subscription, or false otherwise.
virtual void | subscriptionDidStart (MUID, const String &subId, const PropertySubscriptionHeader &)=0
| Called with the corresponding subscription token after a subscription has started.
virtual void | subscriptionWillEnd (MUID, const Subscription &sub)=0
| Called when a device requests for an ongoing subscription to end.

## Detailed Description

An interface with methods that can be overridden to customise how a Device implementing properties responds to property inquiries.

## Constructor & Destructor Documentation

## ◆ PropertyDelegate() [1/3]

juce::midi_ci::PropertyDelegate::PropertyDelegate | ( |  | ) |
| default

## ◆ ~PropertyDelegate()

virtual juce::midi_ci::PropertyDelegate::~PropertyDelegate | ( |  | ) |
| virtualdefault

## ◆ PropertyDelegate() [2/3]

juce::midi_ci::PropertyDelegate::PropertyDelegate | ( | const PropertyDelegate & |  | ) |
| default

## ◆ PropertyDelegate() [3/3]

juce::midi_ci::PropertyDelegate::PropertyDelegate | ( | PropertyDelegate && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

PropertyDelegate & juce::midi_ci::PropertyDelegate::operator= | ( | const PropertyDelegate & |  | ) |
| default

## ◆ operator=() [2/2]

PropertyDelegate & juce::midi_ci::PropertyDelegate::operator= | ( | PropertyDelegate && |  | ) |
| default

## ◆ getNumSimultaneousRequestsSupported()

virtual uint8_t juce::midi_ci::PropertyDelegate::getNumSimultaneousRequestsSupported | ( |  | ) | const
| virtual

Returns the max number of simultaneous property exchange messages that can be processed.

## ◆ propertyGetDataRequested()

virtual PropertyReplyData juce::midi_ci::PropertyDelegate::propertyGetDataRequested | ( | MUID | ,
|  | const PropertyRequestHeader & |
| ) |  |
| pure virtual

Returns a header/body containing the requested data.

To report an error, you can return a failure status code in the header and leave the body empty.

## ◆ propertySetDataRequested()

virtual PropertyReplyHeader juce::midi_ci::PropertyDelegate::propertySetDataRequested | ( | MUID | ,
|  | const PropertyRequestData & |
| ) |  |
| pure virtual

Returns a header that describes the result of the set operation.

## ◆ subscriptionStartRequested()

virtual bool juce::midi_ci::PropertyDelegate::subscriptionStartRequested | ( | MUID | ,
|  | const PropertySubscriptionHeader & |
| ) |  |
| pure virtual

Returns true to allow the subscription, or false otherwise.

## ◆ subscriptionDidStart()

virtual void juce::midi_ci::PropertyDelegate::subscriptionDidStart | ( | MUID | ,
|  | const String & | subId,
|  | const PropertySubscriptionHeader & |
| ) |  |
| pure virtual

Called with the corresponding subscription token after a subscription has started.

## ◆ subscriptionWillEnd()

virtual void juce::midi_ci::PropertyDelegate::subscriptionWillEnd | ( | MUID | ,
|  | const Subscription & | sub
| ) |  |
| pure virtual

Called when a device requests for an ongoing subscription to end.

The documentation for this struct was generated from the following file:

- juce_CIPropertyDelegate.h